org.apache.commons.compress.compressors.gzip

## Class GzipUtils

- java.lang.Object
- - org.apache.commons.compress.compressors.gzip.GzipUtils

-     public class GzipUtils
      extends Object

  Utility code for the gzip compression format.
  This class is thread-safe

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCompressedFilename(String fileName)` Maps the given file name to the name that the file should have after compression with gzip.
    `static String` | `getUncompressedFilename(String fileName)` Maps the given name of a gzip-compressed file to the name that the file should have after uncompression.
    `static boolean` | `isCompressedFilename(String fileName)` Detects common gzip suffixes in the given file name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCompressedFilename

          public static String getCompressedFilename(String fileName)

      Maps the given file name to the name that the file should have after compression with gzip. Common file types with custom suffixes for compressed versions are automatically detected and correctly mapped. For example the name "package.tar" is mapped to "package.tgz". If no custom mapping is applicable, then the default ".gz" suffix is appended to the file name.
      Parameters:
        `fileName` - name of a file
      Returns:
        name of the corresponding compressed file

    - #### getUncompressedFilename

          public static String getUncompressedFilename(String fileName)

      Maps the given name of a gzip-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tgz" or ".svgz" are automatically detected and correctly mapped. For example the name "package.tgz" is mapped to "package.tar". And any file names with the generic ".gz" suffix (or any other generic gzip suffix) is mapped to a name without that suffix. If no gzip suffix is detected, then the file name is returned unmapped.
      Parameters:
        `fileName` - name of a file
      Returns:
        name of the corresponding uncompressed file

    - #### isCompressedFilename

          public static boolean isCompressedFilename(String fileName)

      Detects common gzip suffixes in the given file name.
      Parameters:
        `fileName` - name of a file
      Returns:
        `true` if the file name has a common gzip suffix, `false` otherwise

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.